package com.zcloud.zcGbsServicer.domain.gateway;

import com.zcloud.zcGbsServicer.domain.model.WaterSourceE;

/**
* web-domain
* @Author makejava
* @Date 2026-01-21 17:23:50
*/
public interface WaterSourceGateway {

    /**
    * 新增
    */
    Boolean add(WaterSourceE waterSourceE) ;

    /**
    * 修改
    */
    Boolean update(WaterSourceE waterSourceE);

    /**
    * 删除
    */
    Boolean deletedWaterSourceById(Long id);
    Boolean deletedWaterSourceByIds(Long[] id);
}

